# Solid Boot Blender Addon

[![For Blender 2.8 and UP!](https://img.shields.io/badge/Blender-2.8%2B-orange)](https://www.blender.org)
[![Extension Ready](https://img.shields.io/badge/Extension%20Platform-4.2%2B-blue)](https://extensions.blender.org/)

Ensures 3D viewports always start in Solid shading if file was saved in Material Preview.
This will prevent Blender to recompile all shaders on the startup.

## Features

- Auto-activates on file load
- Forces SOLID shading instead MATERIAL PREVIEW in all 3D views
- Respects existing WIREFRAME modes
- Works across multiple windows/viewports
- Doesn't affect saved files

## Installation

### For Blender 4.2+ (Extension Platform)
1. Download the `solid_boot.zip` package
2. In Blender:
   - `Edit > Preferences > Extensions`
   - Click "Install..." and select the zip file
   - Enable the extension

### For Blender 2.8-4.1 (Legacy)
1. Download the `__init__.py` file
2. In Blender:
   - `Edit > Preferences > Add-ons`
   - Click "Install..." and select the .py file
   - Enable the addon

## Compatibility
| Blender Version | Support |
|-----------------|---------|
| 2.80 - 4.1      | ✅      |
| 4.2+            | ✅      |

## Technical Notes
- Does **not** modify saved files
- Only happens on file load
- Memory efficient - no background processes

## License
SPDX:GPL-3.0-or-later

## Support
Contact: hello@cosmomidias.com  
Issue Tracker: [GitLab Issues](https://gitlab.com/cosmomidias/solid-boot/-/issues)

---

**Let's get a Solid Boot?!** 🚀